xml-1.3.12: A simple XML library.

Portability | portable
Stability | provisional
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Safe Haskell | Safe-Inferred

Text.XML.Light.Input

Description

Lightweight XML parsing

Synopsis

- parseXML :: XmlSource s => s -> [Content]
- parseXMLDoc :: XmlSource s => s -> Maybe Element

# Documentation

parseXML :: XmlSource s => s -> [Content]Source

parseXML to a list of content chunks

parseXMLDoc :: XmlSource s => s -> Maybe Element Source

parseXMLDoc, parse a XMLl document to maybe an element